* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    /* Basanti (Primary Saffron) */
    --Main_CTA_buttons_highlights: #F4B400;
    --Hover_state: #E6A300;
    --Bright_accent_version: #FFC107;
    
    /* Surmai (Navy / Greyish Blue) */
    --Primary_dark_background: #102A43;
    --Footer_section_backgrounds: #1E3A5F;
    --Cards_overlays: #243B53;
    --Secondary_Surmai: #334E68;
    
    /*  White Marble */
    --Pure_white: #FFFFFF;
    --Marble_white: #FAF8F4;
    --Soft_marble: #F5F3EE;
    --Marble_shadow_tint: #EFEAE2;
    
    /*  Gold Accents */
    --Premium_gold: #D4AF37;
    --Dark_gold: #C9A227;
    --Light_gold: #E5C76B;
    --Antique_gold: #B8860B;

    /* Neutral Text Colors */
    --Primary_text: #2D3748;
    --Secondary_text: #4A5568;
    --Muted_text: #718096;
}

body {
    background-color: var(--Pure_white);
}

/* header */

#back-header {
    width: 100%;
    height: 15rem;
    position: relative;
}

#back-header .shade {
    background-color: rgba(0, 0, 0, 0.452);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
}

#back-header img {
    width: 100%;
    height: 100%;
    /* object-fit: contain; */
}

#main-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 2px 2px 4px 1px #00000045;
}

.container {
    padding: 0 3rem;
}

#main-header .logo {
    display: flex;
    align-items: center;
}

#main-header .logo img {
    width: 5rem;
    height: 5rem;
}

#main-header .logo .logo-text h2,
#main-header .logo .logo-text h6 {
    text-transform: uppercase;
    font-weight: lighter;
    line-height: 1.5rem;
}

#main-header .logo .logo-text h6 {
    font-size: 0.9rem;
    color: var(--Secondary_text);
}

#main-header .logo .logo-text h2 {
    color: var(--Primary_text);
}

#main-header .header-menu {
    display: flex;
    gap: 4.2rem;
}

#main-header .header-menu ul{
    display: flex;
    align-items: center;
    gap: 2.2rem;
}

#main-header .header-menu ul li {
    list-style: none;
}

#main-header .header-menu ul li a {
    text-decoration: none;
    color: var(--Primary_text);
    text-transform: capitalize;
    font-size: 20px;
    padding: 1rem 0;
    cursor: pointer;
}

#main-header .header-menu ul li a:hover,
#main-header .header-menu ul li a.active {
    text-decoration: underline;
    color: var(--Hover_state);
    text-decoration-thickness: 3px;
    text-underline-offset: 1rem
}

#main-header .header-menu ul .drop a i {
    font-size: 1rem;
}

#main-header .header-menu ul .drop {
    position: relative;
}

#main-header .header-menu ul .drop .dropdown {
    position: absolute;
    top: 2.5rem;
    display: none;
    z-index: 100;
    flex-direction: column;
    background-color: var(--Pure_white);
    /* background-color: yellow; */
    width: 200px;
}

#main-header .header-menu ul .drop .dropdown li {
    padding: 0.8rem 0.8rem;
    border-bottom: 2px solid var(--Muted_text);
}

#main-header .header-menu ul .drop .dropdown li a:hover {
    text-decoration: none;
    color: var(--Hover_state);
}

#main-header .header-menu ul .drop:hover .dropdown {
    display: block;
}

#main-header .btn a {
    padding: 0.7rem 1rem;
    border-radius: 10px;
    background-color: var(--Main_CTA_buttons_highlights);    
    text-decoration: none;
}

#main-header .btn i,
#main-header .btn button {
    color: var(--Primary_text);
    font-size: 1rem;
    cursor: pointer;
}

#main-header .btn button {
    border: none;
    padding-left: 0.5rem;
    background-color: var(--Main_CTA_buttons_highlights);
    text-transform: uppercase;
}

#main-header .menu {
    display: none;
}

#main-header .menu button {
    background-color: transparent;
    border: none;    
    color: #4a4a43;
    padding: 0.5rem;
    font-size: 2rem;
    cursor: pointer;
}

@media (max-width: 1200px) {
    .container {
        padding: 0 0.8rem;
    }

    #main-header .logo .logo-text h2 {
        font-size: 1.2rem;
    }

    #main-header .logo .logo-text h6 {
        font-size: 0.9rem;
    }

    #main-header .header-menu ul,
    #main-header .header-menu {
        gap: 1.2rem;
    }

    #main-header .btn i,
    #main-header .btn button {
        font-size: 1.1rem;
    }
}

@media (max-width: 992px) {
    #main-header .menu {
        display: block;
    }

    #main-header .hide {
        display: none;
    }
    
    #main-header .show {
        display: block;
    }

    #main-header {
        position: relative;
    }

    #main-header .header-menu {
        position: absolute;
        width: 100%;
        right: 0;
        top: 84px;
        flex-direction: column;
        gap: 0rem;
        padding-bottom: 1rem;
        background-color: var(--Pure_white);
        z-index: 100;
    }

    #main-header .header-menu ul{
        flex-direction: column;
        align-items: start;
        gap: 0rem;
    }
    
    #main-header .header-menu ul li {
        width: 100%;
        padding: 0.2rem 3rem;
    }

    #main-header .header-menu ul li a {
        display: block;
    }

    #main-header .header-menu ul li:nth-child(3) {
        padding: 0rem 3rem;
    }

    #main-header .hideShow .btn {
        width: 10rem;
        margin: 1rem 2.6rem;
    }

    #main-header .header-menu ul .drop .dropdown {
        position: static;
        display: none;
        flex-direction: column;
        margin: 0.5rem 0 0.6rem 0;
        background-color: var(--Pure_white);
        /* background-color: yellow; */
        width: 100%;
    }
}

@media (max-width: 480px) {
    .container {
        padding: 0 0.6rem;
    }

    #back-header {
        height: 8.5rem;
    }

    #main-header .logo img {
        width: 3.5rem;
        height: 3.5rem;
    }

    #main-header .logo .logo-text h2,
    #main-header .logo .logo-text h6 {
        line-height: 1.3rem;
    }

    #main-header .logo .logo-text h6 {
        font-size: 0.7rem;
    }

    #main-header .logo .logo-text h6 {
        font-size: 0.6rem;
    }

    #main-header .menu button {
        padding: 0.5rem;
        font-size: 1.6rem;
    }

    #main-header .header-menu {
        top: 62px;
    }

    #main-header .header-menu ul li {
        padding: 0.2rem 1.6rem;
    }

    #main-header .header-menu ul li:nth-child(3) {
        padding: 0.2rem 1.6rem;
    }

    #main-header .header-menu ul li a {
        font-size: 17px;
    }

    #main-header .header-menu ul .drop .dropdown {
        margin: 0;
        background-color: var(--Pure_white);
        /* background-color: yellow; */
    }

    #main-header .header-menu ul li a:hover,
    #main-header .header-menu ul li a.active {
        text-decoration-thickness: 2px;
        text-underline-offset: 0.5rem
    }

    #main-header .hideShow .btn {
        margin: 0.6rem 1.6rem;
    }

    #main-header .btn i,
    #main-header .btn button {
        font-size: 1rem;
    }
}